--- title: "Get Single Outbound Exception Rule" slug: "get-single-outbound-exception-rule" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:30Z published: 2026-09-23T09:38:30Z canonical: "docs.trellix.com/get-single-outbound-exception-rule" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Single Outbound Exception Rule This URL gets a single outbound exception rule. ## Resource URL GET /domain//outboundsslexceptions/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domainId | The id of the domain | Number | Yes | | ruleId | The id of the rule | Number | Yes | Payload Request Parameters: None ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | id | ID of the outbound SSL | Number | | state | State of the rule (Enabled/Disabled) | String | | name | Name of the rule | String | | resource | List of resources on which the rule has to be assigned | Array | | attacker | List of the objects in the source network rule | Object | | target | List of the objects in the destination network rule | Object | | targetHostName | List of the objects in the target host names rule | Array | | targetUrlCategories | List of URL categories | Array | | lastUpdatedByTime | Time of the last update | String | | lastUpdatedByUserName | User under which the last update occurred | String | | comment | Comment | String | | ownerDomain | Domain | String | Details of object in resource: | Field Name | Description | Data Type | | --- | --- | --- | | resourceId | ID of the resource | Number | | resourceName | Name of the resource | String | | resourceType | Indicates the type of interface on which the Ignore Rule is created. The possible values include: - 0: The resource type is domain (for rules defined at the domain level) - 1: The resource type is Sensor (for rules defined at the Sensor level) - 2: The resource type is Vids (for rules defined at the interface and the sub-interface levels) - 3: The resource type is NTBA_ZONE (for rules defined at NTBA inside and outside zones) - 4: The resource type is NTBA_SENSOR (for rules defined at NTBA level) - 5: The resource type is NTBA_DOMAIN | Number | | sensorId | Id of the Sensor | Number | Details of the attacker: | Field Name | Description | Data Type | | --- | --- | --- | | AttackerEndPoint | Attacker rule objects on which the ignore rules will be applied. | Array of string | Details of the target: | Field Name | Description | Data Type | | --- | --- | --- | | TargetEndPoint | Target rule objects on which the ignore rules will be applied. | Array of string | **Payload** None **Request** GET [https://%3CNSM_IP%3E/sdkapi/domain/0/outboundsslexceptons/101](https://%3CNSM_IP%3E/sdkapi/domain/0/outboundsslexceptons/101) **Response** ``` { "id":101,"state":"ENABLED","name":"test","attack":null,"resource":[],"attacker":{"AttackerEndPoint":["FireWall_IPv4_Dst_15_1_7_251"], "AttackerPort":"ANY","AttackerPortNumber":""},"target":{"TargetEndPoint":["FireWall_IPv4_Dst_15_1_7_251"],"TargetPort":"ANY", "TargetPortNumber":""},"targetHostName":[],"targetUrlCategories":["Entertainment"],"lastUpdatedByTime":1519627703000, "lastUpdatedByUserName":"admin","comment":"test","ownerDomain":"My Company" } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal server error | | 2 | 404 | 1408 | Invalid rule id or provided rule id is not visible to this domain |